<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<p>Lista odwiedzin:</p>
<div>
<?php
$stat_file = "./stats.txt";
function writeData($stat_file)
{
  $file_str = "";
  if(file_exists($stat_file)){
    if(($file_str = file_get_contents($stat_file)) === false){
      //Błąd przy próbie odczytu zawartości pliku
      return false;
    }
  }
  if(!$fd = fopen($stat_file, "w")){
    //Błąd przy próbie otwarcia pliku
    return false;
  }
  $str = date("Y-m-d:G:i")." ";
  $str .= $_SERVER['REMOTE_ADDR']." ";
  if(isSet($_SERVER['HTTP_USER_AGENT'])){
    $str .= $_SERVER['HTTP_USER_AGENT'];
  }
  $str .= "\n";
  fwrite($fd, $str);
  fwrite($fd, $file_str);
  fclose($fd);
  return true;
}

function printData($stat_file, $ile)
{
  if(!$fd = fopen($stat_file, "r")){
    //Błąd przy próbie otwarcia pliku
    return false;
  }
  echo "<ol>";
  $counter = 1;
  while (!feof($fd)){
    if($ile >= 0 && $counter > $ile) break;
    if(($str = fgets($fd)) != ""){
      echo("<li>$str</li>\n");
    }
    $counter++; 
  }
  echo "</ol>";
  return true;
}

if(isSet($_GET['ile']) && is_numeric($_GET['ile'])){
  $ile = $_GET['ile'];
}
else{
  $ile = -1;
}

if(!printData($stat_file, $ile)){
  echo("Lista nie jest w tej chwili dostępna.<br />");
}
writeData($stat_file);
?>
</div>
</body>
</html>
